
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] joystickInstall] >= 0 } {
    interp expose {} joystickInstall
}

proc ::joystickInstall { name } {
    foreach rqst { "Init" "JoystickjoystickPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} joystick$rqst $name
    }
}

interp hide {} joystickInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] joystickInit] >= 0 } {
    interp expose {} joystickInit
}
if { [lsearch [interp hidden] joystickInitFormatOutput] >= 0 } {
    interp expose {} joystickInitFormatOutput
}

proc ::joystickInit { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Init" \
	"Init of module" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::joystickInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} joystickInit
interp hide {} joystickInitFormatOutput





# Joystickjoystick ----------------------------------------------------------

if { [lsearch [interp hidden] joystickJoystickjoystickPosterRead] >= 0 } {
    interp expose {} joystickJoystickjoystickPosterRead
}
if { [lsearch [interp hidden] joystickJoystickjoystickPosterFormatOutput] >= 0 } {
    interp expose {} joystickJoystickjoystickPosterFormatOutput
}

proc ::joystickJoystickjoystickPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "Joystickjoystick" \
	"JOYSTICK_DATA\n| int fd\n| int buttons\[12\]\n| int axes\[6\]\n" \
	$args ]
}


proc ::joystickJoystickjoystickPosterFormatOutput { list } {
    set format { {} status { } { joystick { } fd { 12 } buttons { 6 } axes } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} joystickJoystickjoystickPosterRead
interp hide {} joystickJoystickjoystickPosterFormatOutput


